problem updating ubuntu

Asked by andre pigny on 2008-03-14

Impossible d'initialiser les données du paquet

Un problème insoluble est apparu lors de l'initialisation des données du paquet.

Merci de rapporter ce bogue du paquet « update-manager » et d'inclure le message d'erreur suivant :

'E:Dynamic MMap ran out of room, E:Erreur apparue lors du traitement de shorewall-lite (NewVersion1), E:Problem with MergeList /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_feisty_universe_binary-i386_Packages, E:Les listes de paquets ou le fichier « status » ne peuvent être analysés ou lus.'

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu update-manager Edit question
Assignee:
No assignee Edit question
Last query:
2008-03-19
Last reply:
2011-07-06

(Automatiquement du texte traduit translate.google.com)

Bonjour. Merci de nous avoir signalé cette erreur.

S’il vous plaît taper "sudo apt-get clean" dans le terminal et essayez de mettre à jour à nouveau.

Réponse S’il vous plaît, s'il n'a pas réglé le problème.

Thanks!

andre pigny (andre-pigny) said : #2

Merci

J'ai tenté de suivre votre conseil mais j'obtiens le message suivant :
andre@ubuntu:~$ sudo apt-get clean
andre@ubuntu:~$ apt-get clean
E: Impossible d'ouvrir le fichier verrou /var/cache/apt/archives/lock - open
(13 Permission non accordée)
E: Impossible de verrouiller le répertoire de téléchargement
andre@ubuntu:~$

A bientôt. Thanks

André

Le 15/03/08, Greg Grossmeier <email address hidden> a écrit :
>
> (Automatiquement du texte traduit translate.google.com)
>
> Bonjour. Merci de nous avoir signalé cette erreur.
>
> S'il vous plaît taper "sudo apt-get clean" dans le terminal et essayez
> de mettre à jour à nouveau.
>
> Réponse S'il vous plaît, s'il n'a pas réglé le problème.
>
> Thanks!
>
>
> ** Changed in: update-manager (Ubuntu)
>
> Status: New => Incomplete
>
>
> --
> problem updating ubuntu
> https://bugs.launchpad.net/bugs/202352
> You received this bug notification because you are a direct subscriber
> of the bug.
>
>
> Status in Source Package "update-manager" in Ubuntu: Incomplete
>
>
> Bug description:
> Impossible d'initialiser les données du paquet
>
> Un problème insoluble est apparu lors de l'initialisation des données du
> paquet.
>
> Merci de rapporter ce bogue du paquet « update-manager » et d'inclure le
> message d'erreur suivant :
>
> 'E:Dynamic MMap ran out of room, E:Erreur apparue lors du traitement de
> shorewall-lite (NewVersion1), E:Problem with MergeList
> /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_feisty_universe_binary-i386_Packages,
> E:Les listes de paquets ou le fichier « status » ne peuvent être analysés ou
> lus.'
>

Premièrement, lors de la tentative de "sudo apt-get clean", at-il vous demander votre mot de passe? Si elle le faisait, et puis a couru (en veille pour un moment avant de regagner rapidement), alors vous devriez être capable d'utiliser update-manager maintenant.

Essayez de mettre à jour (ce qui n'a pas initialement).

Merci

andre pigny (andre-pigny) said : #4

Bonsoir Greg

J'ai a nouveau relancé le processus qui a fonctionné correctement sauf vers
la fin où j'ai obtenu le message suivant

Atteint http://archive.ubuntu.com feisty/main
Packages
Atteint http://archive.ubuntu.com feisty/universe
Packages
Atteint http://archive.ubuntu.com feisty/restricted
Packages
Atteint http://archive.ubuntu.com feisty/universe
Sources
Atteint http://archive.ubuntu.com feisty/main
Sources
Atteint http://archive.ubuntu.com feisty/restricted
Sources
919ko réceptionnés en 39s
(23,5ko/s)
Lecture des listes de paquets... Erreur !
E: Dynamic MMap ran out of room
E: Erreur apparue lors du traitement de sgt-puzzles (NewVersion1)
E: Problem with MergeList
/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_feisty_universe_binary-i386_Packages
E: Les listes de paquets ou le fichier « status » ne peuvent être analysés
ou lus.
andre@ubuntu:~$

Merci de vos conseils
Bonne soirée

André

Le 15/03/08, Greg Grossmeier <email address hidden> a écrit :
>
> Premièrement, lors de la tentative de "sudo apt-get clean", at-il vous
> demander votre mot de passe? Si elle le faisait, et puis a couru (en
> veille pour un moment avant de regagner rapidement), alors vous devriez
> être capable d'utiliser update-manager maintenant.
>
> Essayez de mettre à jour (ce qui n'a pas initialement).
>
> Merci
>
>
> --
> problem updating ubuntu
> https://bugs.launchpad.net/bugs/202352
> You received this bug notification because you are a direct subscriber
> of the bug.
>
>
> Status in Source Package "update-manager" in Ubuntu: Incomplete
>
>
> Bug description:
> Impossible d'initialiser les données du paquet
>
> Un problème insoluble est apparu lors de l'initialisation des données du
> paquet.
>
> Merci de rapporter ce bogue du paquet « update-manager » et d'inclure le
> message d'erreur suivant :
>
> 'E:Dynamic MMap ran out of room, E:Erreur apparue lors du traitement de
> shorewall-lite (NewVersion1), E:Problem with MergeList
> /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_feisty_universe_binary-i386_Packages,
> E:Les listes de paquets ou le fichier « status » ne peuvent être analysés ou
> lus.'
>

andre pigny (andre-pigny) said : #5

Bonsoir Greg,
Voilà le dernier message obtenu.
Les problèmes continuent

Amitiés

E: Dynamic MMap ran out of room
E: Erreur apparue lors du traitement de sgt-puzzles (NewVersion1)
E: Problem with MergeList
/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_feisty_universe_binary-i386_Packages
E: Impossible d'ouvrir ou d'analyser le fichier contenant la liste des états
ou celui des paquets disponibles.
E: _cache->open() failed, please report.

Le 15/03/08, Greg Grossmeier <email address hidden> a écrit :
>
> Premièrement, lors de la tentative de "sudo apt-get clean", at-il vous
> demander votre mot de passe? Si elle le faisait, et puis a couru (en
> veille pour un moment avant de regagner rapidement), alors vous devriez
> être capable d'utiliser update-manager maintenant.
>
> Essayez de mettre à jour (ce qui n'a pas initialement).
>
> Merci
>
>
> --
> problem updating ubuntu
> https://bugs.launchpad.net/bugs/202352
> You received this bug notification because you are a direct subscriber
> of the bug.
>
>
> Status in Source Package "update-manager" in Ubuntu: Incomplete
>
>
> Bug description:
> Impossible d'initialiser les données du paquet
>
> Un problème insoluble est apparu lors de l'initialisation des données du
> paquet.
>
> Merci de rapporter ce bogue du paquet « update-manager » et d'inclure le
> message d'erreur suivant :
>
> 'E:Dynamic MMap ran out of room, E:Erreur apparue lors du traitement de
> shorewall-lite (NewVersion1), E:Problem with MergeList
> /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_feisty_universe_binary-i386_Packages,
> E:Les listes de paquets ou le fichier « status » ne peuvent être analysés ou
> lus.'
>

Andre,

Malheureusement, cela semble être une question de soutien. Soutien questions sont traitées dans le meilleur soutien tracker. Je suis donc convertir ce bug en une demande de support.

J'espère que cela est réglé pour vous.

All the best,

Greg

andre pigny (andre-pigny) said : #7

Hello Greg,

I used the tips included in ur answer and have not fully implemented the
changes that have taken place but after some time I received this message
Paramétrage de flumotion (0.2.1-1) ...
chown: ne peut accéder `/var/run/flumotion': Aucun fichier ou répertoire de
ce type
dpkg : erreur de traitement de flumotion (--configure) :
 le sous-processus post-installation script a retourné une erreur de sortie
d'état 1
Processing triggers for libc6 ...
ldconfig deferred processing now taking place
Des erreurs ont été rencontrées pendant l'exécution :
 flumotion
E: Sub-process /usr/bin/dpkg returned an error code (1)
Errors concerning Flumotion have been numerous lately..

Thanks again for your help

André

2008/3/18, Greg Grossmeier <email address hidden>:
>
> Your question #27203 on update-manager in ubuntu changed:
>
> https://answers.edge.launchpad.net/ubuntu/+source/update-manager/+question/27203
>
> Linked to bug: #24626
> https://bugs.edge.launchpad.net/bugs/24626
> "Too many repositories "dynamic mmap ran out of room""
>
>
> --
> You received this question notification because you are a direct
> subscriber of the question.
>

andre pigny (andre-pigny) said : #8

Hello,

I now have Ubuntu 7.10 but some problems have not been solved yet see
hereunder

Thks for ur help
Greetings from Paris

E: hal: le sous-processus post-installation script a retourné une erreur de
sortie d'état 1
E: gnome-mount: problèmes de dépendances - laissé non configuré
E: gnome-power-manager: problèmes de dépendances - laissé non configuré
E: gnome-session: problèmes de dépendances - laissé non configuré
E: gnome-volume-manager: problèmes de dépendances - laissé non configuré
E: hal-cups-utils: problèmes de dépendances - laissé non configuré
E: hwdb-client-common: problèmes de dépendances - laissé non configuré
E: hwdb-client-gnome: problèmes de dépendances - laissé non configuré
E: hal-device-manager: problèmes de dépendances - laissé non configuré
E: network-manager: problèmes de dépendances - laissé non configuré
E: network-manager-gnome: problèmes de dépendances - laissé non configuré
E: sound-juicer: problèmes de dépendances - laissé non configuré
E: ubuntu-desktop: problèmes de dépendances - laissé non configuré

2008/3/18, Greg Grossmeier <email address hidden>:
>
> Your question #27203 on update-manager in ubuntu changed:
>
> https://answers.edge.launchpad.net/ubuntu/+source/update-manager/+question/27203
>
> Linked to bug: #24626
> https://bugs.edge.launchpad.net/bugs/24626
> "Too many repositories "dynamic mmap ran out of room""
>
>
> --
> You received this question notification because you are a direct
> subscriber of the question.
>

andre pigny (andre-pigny) said : #9

Hello Greg

I keep bothering you with my problems concerning Ubuntu 7.10 Sorry
this is the last development
I cannot manage to install Hal
How should I proceed to succees in the long run?
Thks again

Le 19/03/08, andre pigny <email address hidden> a écrit :E:
hal: le sous-processus post-installation script a retourné une erreur de
sortie d'état 1
E: gnome-mount: problèmes de dépendances - laissé non configuré
E: gnome-power-manager: problèmes de dépendances - laissé non configuré
E: gnome-session: problèmes de dépendances - laissé non configuré
E: gnome-volume-manager: problèmes de dépendances - laissé non configuré
E: hal-cups-utils: problèmes de dépendances - laissé non configuré
E: hwdb-client-common: problèmes de dépendances - laissé non configuré
E: hwdb-client-gnome: problèmes de dépendances - laissé non configuré
E: hal-device-manager: problèmes de dépendances - laissé non configuré
E: network-manager: problèmes de dépendances - laissé non configuré
E: network-manager-gnome: problèmes de dépendances - laissé non configuré
E: sound-juicer: problèmes de dépendances - laissé non configuré
E: thunar-volman: problèmes de dépendances - laissé non configuré
E: ubuntu-desktop: problèmes de dépendances - laissé non configuré
E: xfce4-session: problèmes de dépendances - laissé non configuré
E: xubuntu-desktop: problèmes de dépendances - laissé non configuré

Michael Vogt (mvo) said : #10

Hello Andre,

the errors you describe sound like a real bug in the distribution. Please file a bugreport against update-manager attach the files from /var/log/dist-upgrade to it. That will help to find the problem and fix it before 8.04 final gets released.

Thanks,
 Michael

Michael Vogt (mvo) said : #11

Andre,

I assume you got the errors:E:
hal: le sous-processus post-installation script a retourné une erreur de
sortie d'état 1

on a release upgrade (from one ubuntu release to the next)?

Otonte (oegenia-sterogen) said : #12

Bonjour / Hello :)

I have the exact same problem and have been quite a bit in the resolution.
I invite anyone to follow the recommendations in question: #35347

Though by expanding the Cache further and further, I eventually came to damage my Swap.

If anyone has suggestions on how to repair the swap... please feel free to comment! :)

J'ai eu un probleme similaire et quelques solution ont ete suggeres qui ont fonctionnees temporairement:

J'invite tous ceux qui rencontre ce probleme a venir lire les suggestion redigees dans la question #35347

Neanmoins, a force de grossir ma memoire Cache de plus en plus, j'ai finit par endomager mon Swap.

Si quelqun peut suggere une solution, je serais tres reconnaissant.

Merci et a bientot.

ronon (ronon.dexer) said : #13

Bonjour,
j'ai eu le même problème de source. Le message d'erreur était :
"Lecture des listes de paquets... Erreur !
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_natty_main_binary-i386_Packages
E: Les listes de paquets ou le fichier « status » ne peuvent être analysés ou lus."

Après beaucoup de tentatives infructueuses j'ai fait ceci :
J'ai modifié la source des logiciels (Administration>sources de logiciels) et j'ai décoché tous les dépots de l'onglet autres logiciels et dans l'onglet logiciel ubuntu j'ai sélectionné serveur principal au lieu de français. Au moment de fermer le logiciel m'a demandé si je voulais actualiser les sources j'ai mis oui (cela a buggué une première fois puis a quitté normalement).

Le gestionnaire de mise à jour et synaptic remarche. Cependant étant sceptique sur la cause de ce disfonctionnement(ou re^^), j'ai rouvert source de logiciel et remis comme avant, il me redemande si je veux actualiser les sources et je dis oui. Et là pas de problème ferme normalement et tout refonctionne comme si de rien était.

A mon avis le problème venait des listes de apt (/var/lib/apt/lists/) qui étaient peut-être corrompus suite à une mise à jour qui s'est mal passée (genre quand on lance le gestionnaire de mise à jours, même si il n'en fait pas il mets les listes à jour, il a du mal le faire.) et ce que j'ai fait à permis à ces listes d'être de nouveau complètes ou lisibles.

Bonne journée à vous.

@vivien please don't append new question on a solved thread you will not get any answers....
So please first try: https://answers.launchpad.net/ubuntu/+source/update-manager/+question/157629
Then please made your question from here:
https://answers.launchpad.net/ubuntu/+source/update-manager/+addquestion

Can you help with this problem?

Provide an answer of your own, or ask andre pigny for more information if necessary.

To post a message you must log in.